Перейти к содержимому

Full click log with filters and pagination

GET
/api/v1/analytics/clicks
curl --request GET \
--url 'https://example.com/api/v1/analytics/clicks?from=2026-03-01T00%3A00%3A00Z&to=2026-03-08T00%3A00%3A00Z&country=US&device=desktop&subIdName=sub_id_2&subIdValue=ad_12345&limit=50&offset=0' \
--header 'Authorization: Bearer <token>'
from
string

Example

2026-03-01T00:00:00Z
to
string

Example

2026-03-08T00:00:00Z
code
string

Short code or custom alias

country
string

Example

US
device
string
Allowed values: desktop mobile tablet bot unknown
os
string
browser
string
bot
boolean
isUnique
boolean
subIdName
string

Example

sub_id_2
subIdValue
string

Example

ad_12345

Requires subIdName to also be set

clickToken
string

Exact match on click_token (UUID)

ipHash
string

Exact match on ip_hash

limit
number
default: 50 >= 1 <= 500
offset
number
0
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
linkId
object
linkShortCode
object
linkCustomAlias
object
clickedAt
required
string
ipHash
object
browser
object
browserVersion
object
os
object
osVersion
object
deviceType
required
string
isBot
required
boolean
refererDomain
object
countryCode
object
countryName
object
city
object
language
object
isUnique
required
boolean
clickToken
object
matchedRuleId
object
resolvedUrl
object
subIds
object
total
required
number
limit
required
number
offset
required
number

Example generated

{
"items": [
{
"id": "example",
"linkId": {},
"linkShortCode": {},
"linkCustomAlias": {},
"clickedAt": "example",
"ipHash": {},
"browser": {},
"browserVersion": {},
"os": {},
"osVersion": {},
"deviceType": "example",
"isBot": true,
"refererDomain": {},
"countryCode": {},
"countryName": {},
"city": {},
"language": {},
"isUnique": true,
"clickToken": {},
"matchedRuleId": {},
"resolvedUrl": {},
"subIds": {}
}
],
"total": 1,
"limit": 1,
"offset": 1
}